<?php
//****************************************请求权限****************************************
require("locked.php");                                                                 //*
setlocked($_SESSION[rightId],"");                                                      //*
//****************************************************************************************

echo '<script>document.title="处理结果通知";</script>';

include("cnn.php");

//将请求的表名转换成实际项目名称；
switch($_SESSION[jc_tbl]){
	case "jc_xjll":
	    $xmName="现金流量";
	    break;
	case "jc_kh":
	    $xmName="客户";
	    break;
	case "jc_gr":
	    $xmName="个人";
	    break;
	case "jc_ch":
	    $xmName="存货";
	    break;
	case "jc_gys":
	    $xmName="供应商";
	    break;
	case "jc_bm":
	    $xmName="部门";
	    break;
	case "jc_xm":
	    $xmName="核算项目";
	    break;
	default: 
	    $xmName="get取值不正确";
	    break;
}

//获取数据修改前名称字段值；
$strsql='select name from '.$_SESSION[jc_tbl].' where id="'.$_POST[id].'"';
$oldsql=$mysqli->query($strsql);
$olddata=$oldsql->fetch_array(MYSQLI_BOTH);

//保存数据开始；
$strsql='update '.$_SESSION[jc_tbl].' set name="'.$_POST[name].'",etr="'.$_SESSION[username].'" where id="'.$_POST[id].'"';
$update=$mysqli->query($strsql);
if($update){ //如果存在数据；
    echo '修改成功；<a href="#" onclick="javascript:history.back()">返回</a>';
	echo '<hr>';
	//当新旧数据不一致时，同步更新凭证表与记账表中的相关数据；
	if($_POST[name]!=$olddata[name]){
		//构造相关变量；
		$zd=substr($_SESSION[jc_tbl],3,strlen($_SESSION[jc_tbl]));
		$zdf=$zd.'F';
		$oldxmName=$xmName.'-'.$_POST[id].'-'.$olddata[name];
		$newxmName=$xmName.'-'.$_POST[id].'-'.$_POST[name];
		//更新凭证表中的相关数据；
		$strsql='update v1 set '.$zdf.'=replace('.$zdf.',"'.$olddata[name].'","'.$_POST[name].'"),kmF=replace(kmF,"'.$oldxmName.'","'.$newxmName.'") where '.$zd.'="'.$_POST[id].'"';
		//echo '<br>'.$sql;
		$mysqli->query($strsql);
		$afr=$mysqli->affected_rows;
		if($afr>0){
			echo '凭证表更新成功：共有'.$afr.'条记录受到影响；';
		}else{
			echo '凭证表更新失败；';
		}
		//更新记账表中的相关数据；
		$strsql='update v2 set kmF=replace(kmF,"'.$oldxmName.'","'.$newxmName.'")';
		//echo '<br>'.$sql;
		$mysqli->query($strsql);
		$afr=$mysqli->affected_rows;
		if($afr>0){
			echo '<br>记账表更新成功：共有'.$afr.'条记录受到影响；';
		}else{
			echo '<br>记账表更新失败；';
		}
	}else{
		echo '名称字段未发生变动；';
	}
}else{
    echo '修改失败；<a href="#" onclick="javascript:history.back()">返回</a>';
}
$oldsql->free();
$mysqli->close();
?>